Subject: Re: bug#35181: Hydra offloads often get stuck while exporting build requisites

From: Ludovic Courtès <[email-masked]>
Date: Mon, 08 Apr 2019 10:19:18 +0200

Hi Mark,

Mark H Weaver <[email-masked]> skribis:

> The source checkout currently being transferred for build 3432472
> (/gnu/store/…-font-google-material-design-icons-3.0.1-checkout) is 176
> megabytes uncompressed, as measured by "du -s --si", which is not
> precisely same as NAR size, but hopefully close enough for a rough
> estimate.  As I write this, build 3432472 been stuck here for 24 hours
> 15 minutes.  Even if the average transfer rate were 4 kilobytes per
> second, it should have been done in half that time.

This is weird, could it be that data transfers get stuck somehow?  Did
you try to check the status of the ‘nix-store’ and ‘guix offload’
processes on the head node?

I just checked and apparently this package builds fine on berlin.

Thanks for investigating,
Ludo’.